﻿// <auto-generated />
using System;
using KPZExamBackend.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace KPZExamBackend.Migrations
{
    [DbContext(typeof(InventoryDbContext))]
    [Migration("20221209094238_Init")]
    partial class Init
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.0")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("KPZExamBackend.Data.Models.HistoryRecord", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("SurnameOfUser")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("UsedItemId")
                        .HasColumnType("int");

                    b.Property<int>("YearOfEnd")
                        .HasColumnType("int");

                    b.Property<int>("YearOfStart")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("UsedItemId");

                    b.ToTable("HistoryRecords");
                });

            modelBuilder.Entity("KPZExamBackend.Data.Models.Item", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("DateOfWriteOff")
                        .HasColumnType("nvarchar(max)");

                    b.Property<double>("Price")
                        .HasColumnType("float");

                    b.Property<int>("RoomId")
                        .HasColumnType("int");

                    b.Property<int>("YearOfRelease")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Items");
                });

            modelBuilder.Entity("KPZExamBackend.Data.Models.HistoryRecord", b =>
                {
                    b.HasOne("KPZExamBackend.Data.Models.Item", "UsedItem")
                        .WithMany()
                        .HasForeignKey("UsedItemId");

                    b.Navigation("UsedItem");
                });
#pragma warning restore 612, 618
        }
    }
}
